using Core.Calculation;
using Tests.Parsers;

namespace Tests.Calculation;
[TestFixture]
public class DataProcessingTests
{

	[Test]
	public void GetEventStudentRankingsTest()
	{
		var events = TestEntityHandler.GetEvents();
		var students = TestEntityHandler.GetStudents(events);
		var rankings = TestEntityHandler.GetStudentEventRankings(students, events);

        foreach (var ranking in rankings)
		{
			Console.WriteLine(ranking.EventDefinition.Name);
			Console.WriteLine($"{ranking.Student.FirstName}: {ranking.Rank}");
		}
	}
}